Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05872 DIP/Input Minor Always Mar 9, 2015, 00:35 Sep 14, 2015, 22:12
Tester enik View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows XP
Status [?] Resolved Driver sms.cpp
Version 0.159 Fixed in Version 0.166 Build I686
Summary MESS-specific 05872: sms, sms1 [alexbmx][megumi]: Incorrect behavior of the Sports Pad (US model) emulation
Description Although the current emulation of the Sega Sports Pad (US model) works with the three games designed for the device, it shows incorrect behavior with at least two paddle games that are somewhat playable with that Sport Pad model (though used inverted, as left is right and right is left) on export (non-Japanese) SMS console versions.
Steps To Reproduce Try to play "Alex Kidd BMX Trial" on a non-Japanese SMS driver with the US Sports Pad:

mess sms -ctrl1 sportspad alexbmx

Compare with the behavior of a real Sports Pad in this YouTube video:

"The Sega Sports Pad" (skip to 03:10)



Try to play "Megumi Rescue" on a non-Japanese SMS driver with the US Sports Pad:

mess sms -ctrl1 sportspad megumi

Compare with the behavior of a real Sports Pad in this YouTube video:

"Game Sack - Left in Japan 2" (skip to 07:29)

Additional Information This post on SMSPower states the trackball needs to be moved "slowly as any jerk would make the software for the paddle think it's moving backward":

http://www.smspower.org/forums/14529-SportsPadControllerSomewhatUsableWithPaddleGames

The post also states the US Sports Pad doesn't work on the Japanese SMS, what may be the case with the cartridges Sports Pad Football and World Soccer, but isn't the case with the cartridge Great Ice Hockey, that even had a Japanese format that was raffled by a magazine, along with a US Sports Pad, to owners of Japanese SMS. If my memory serves me well, Great Ice Hockey just use TH pin as output, that's why it has compatibility with the Jap SMS, that doesn't report TH input on port 0xDD.
Flags
Regression Version
Affected Sets / Systems sms, sms1 [alexbmx][megumi]
Attached Files
? file icon sports.diff (5,819 bytes) Sep 13, 2015, 04:57 Uploaded by enik
Patch that solves the issue.
[Show Content]
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.12021
enik
Tester
Sep 13, 2015, 05:02
edited on: Jun 1, 2016, 03:11
I attached a patch that solves the issue. Please, commit it to the git tree. Also, please commit the two other patches I sent two weeks ago to mamedev.org.

--
Enik

User avatar
No.12025
Tafoid
Administrator
Sep 14, 2015, 22:12
Fixed by Enik Land. Diff applied to source September 14, 2015, combined with other pending patches:
https://github.com/mamedev/mame/commit/249d8f752cd1e4fe12e7212d29138c6058f5c3ba